#!/usr/bin/env python
import sys

if __name__ == "__main__":
	from VDMAPI.Display.console import console as display
	
	if "-d" in sys.argv:
		index = next(i for i, c in enumerate(sys.argv) if c == "-d")
		
		if len(sys.argv) > index+1:
			displayType = sys.argv[index+1]
			if displayType == "i3":
				from VDMAPI.Display.i3 import i3 as display

			elif displayType == "tkinter":
				from VDMAPI.Display.tkinter import tkinter as display

			elif displayType == "windows":
				from VDMAPI.Display.windows import windows as display

			elif displayType == "console":
				None

			else:
				print("Error bad display mode accepted value are : i3, tkinter, windows of console")
		else:
			print("Error too few argument -d need value : i3, tkinter, windows of console")
	
	d = display()
	d.render()
